gnu-web-doc-update: don't ignore configure or build failure
authorJim Meyering <meyering@redhat.com>
Mon, 3 May 2010 21:18:40 +0000 (23:18 +0200)
committerJim Meyering <meyering@redhat.com>
Mon, 3 May 2010 21:18:40 +0000 (23:18 +0200)
* build-aux/gnu-web-doc-update: Exit nonzero upon internal failure.

ChangeLog
build-aux/gnu-web-doc-update

index 0a58879..5b349a5 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,8 @@
 2010-05-03  Jim Meyering  <meyering@redhat.com>
 
+       gnu-web-doc-update: don't ignore configure or build failure
+       * build-aux/gnu-web-doc-update: Exit nonzero upon internal failure.
+
        announce-gen: backslash-escape '@'s in --help output
        * build-aux/announce-gen: Fix syntax errors.
 
index 2c1a0cc..e834dcf 100755 (executable)
@@ -90,7 +90,9 @@ trap 'exit $?' 1 2 13 15
 # just-released version number, not some string like 7.6.18-20761.
 # That version string propagates into all documentation.
 git checkout -b $tmp_branch v$version
-./bootstrap && ./configure && make && make web-manual
+ok=0
+./bootstrap && ./configure && make && make web-manual && ok=1
+test $ok = 1 || exit 1
 
 tmp=$(mktemp -d --tmpdir=. web-doc-update.XXXXXX) || exit 1
 ( cd $tmp \